Как установить graphviz 2.29 в 12.04?

7

В моем ubuntu 12.04 графит не является последней версией (2.29). Мне нужны некоторые функции, доступные в последней версии Graphviz. Я попытался установить версию 2.2v Graphviz, для которой требуется libgraphviz4 (> = 2.18). Я так или иначе установил libgraphviz4 и установил graphviz 2.29. Для этого мне нужно удалить пакеты libcdt4 и libpathplan4.

Теперь, когда я пытаюсь создать граф, у меня возникают некоторые проблемы: Например,

dot -Kfdp -n -Tpng -o samplePOS.png forcePOS.dot

В нем говорится:

dot: error while loading shared libraries: libgvc.so.6: cannot open
shared object file: No such file or directory

neato -Tps -o sample_1.ps sourcedot.gv

В нем говорится:

neato: error while loading shared libraries: libgvc.so.6: cannot open
shared object file: No such file or directory

Итак, я ищу некоторые способы, чтобы я мог запустить graphviz 2.29 в моем ubuntu 12.04.

    
задан bidur 04.10.2012 в 06:01
источник

3 ответа

14

Первое предупреждение для использования PPA (в основном нестабильное)

Ниже PPA: ppa: dperry / ppa-graphviz-test - это нестабильный PPA. Итак, вам дают предупреждение.

Используйте эти команды в терминале для установки нестабильной версии graphviz версии 2.29.

sudo apt-add-repository ppa:dperry/ppa-graphviz-test
sudo apt-get update
sudo apt-get autoremove graphviz
sudo apt-get install graphviz

Если вы получите эту ошибку "graphviz: Зависит: libgraphviz4 (> = 2.18), но он не будет установлен", запустите следующую

sudo apt-get remove libcdt4
sudo apt-get remove libpathplan4
sudo apt-get install graphviz
    
ответ дан Anwar 04.10.2012 в 07:02
источник
2

Ubuntu 12.04 здесь.

Что для меня работало:

  1. Удалите следующие пакеты

    sudo apt-get remove libcdt4
    
    sudo apt-get remove libpathplan4
    
  2. Установить libgraphviz4

    Ссылка

  3. Установить graphviz

    sudo apt-get install graphviz
    
ответ дан anh_ng8 30.12.2014 в 18:36
0

Поскольку вы возитесь с некоторыми библиотеками, я советую вам удалить Graphviz и установить снова

sudo apt-get remove graphviz
sudo apt-get remove graphviz-dev
sudo apt-get remove graphviz-doc
sudo apt-get install graphviz

Это та же ситуация для другого пользователя

    
ответ дан user61928 04.10.2012 в 06:20